curl --location 'https://api.techrar.com/order/v1/merchant/orders/checkout-config/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"custom_fields_enabled": false,
"recurring_purchase_policy": "mandatory",
"checkout_fields": [
{
"id": null,
"is_deleted": false,
"field_name": "car serial",
"field_label_en": "Car Serial",
"field_label_ar": "رقم الهيكل",
"field_type": "text",
"is_required": true,
"is_enabled": true,
"save_to_customer_profile": false,
"field_options": [],
"min_length": "1",
"max_length": "5",
"placeholder_text_en": "Enter Car Serial",
"placeholder_text_ar": "ادخل رفم الهيكل",
"help_text_en": null,
"help_text_ar": null,
"ordering": 0
}
]
}'{
"id": 1,
"custom_fields": null,
"checkout_fields": [
{
"id": 3,
"custom_fields": null,
"ordering": 0,
"field_name": "car_serial_2",
"field_label_en": "Car Serial",
"field_label_ar": "رقم الهيكل",
"field_type": "text",
"is_required": true,
"is_enabled": true,
"save_to_customer_profile": false,
"field_options": [],
"min_length": 5,
"max_length": 5,
"placeholder_text_en": "Enter Car Serial",
"placeholder_text_ar": "ادخل رفم الهيكل",
"help_text_en": null,
"help_text_ar": null
}
],
"custom_fields_enabled": true,
"recurring_purchase_policy": "optional"
}